/***********************************************************************************************************
 * Copyright (c)  2023 - 2024, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : um2010_hal.h
 * Description : um2010_hal drvier header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2024-10-26
 ***********************************************************************************************************/
#ifndef __UM2010_HAL_H__
#define __UM2010_HAL_H__

#include "typedefs.h"

#ifdef __cplusplus
extern "C" 
{
#endif

u8_t um2010_hal_get_irq_flag(void);																			/* 获取中断标志 */
void um2010_hal_clear_irq_flag(void);																		/* 清除中断标志 */

void um2010_hal_delay_us(u16_t us);																			/* 延迟函数 */

void um2010_hal_set_sdn(em_level_t level);																	/* 设置SDN */
void um2010_hal_set_rst(em_level_t level);																	/* 设置RST */
void um2010_hal_init(void);																					/* 硬件初始化 */

void spi_init(void);																						/* SPI初始化 */
void spi_cs_enable(void);																					/* CS使能 */
void spi_cs_disable(void);																					/* CS不使能 */
void spi_write_byte(u8_t byte);																				/* SPI写一个字节 */
u8_t spi_read_byte(void);																					/* SPI读一个字节 */

#ifdef __cplusplus
}
#endif
	
#endif
